Package org.eclipse.swt.events

# Interface ShellListener

All Superinterfaces:
  `EventListener`, `SWTEventListener`

All Known Implementing Classes:
  `AnnotationBarHoverManager.Closer`, `ShellAdapter`

public interface ShellListener extends SWTEventListener
Classes which implement this interface provide methods that deal with changes in state of `Shell`s.

After creating an instance of a class that implements this interface it can be added to a shell using the `addShellListener` method and removed using the `removeShellListener` method. When the state of the shell changes, the appropriate method will be invoked.

See Also:
  - `ShellAdapter`
  - `ShellEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`shellActivated(ShellEvent e)`
Sent when a shell becomes the active window.
`static ShellListener`
`shellActivatedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellActivated(ShellEvent e)`) method, given a lambda expression or a method reference.
`void`
`shellClosed(ShellEvent e)`
Sent when a shell is closed.
`static ShellListener`
`shellClosedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellClosed(ShellEvent e)`) method, given a lambda expression or a method reference.
`void`
`shellDeactivated(ShellEvent e)`
Sent when a shell stops being the active window.
`static ShellListener`
`shellDeactivatedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellDeactivated(ShellEvent e)`) method, given a lambda expression or a method reference.
`void`
`shellDeiconified(ShellEvent e)`
Sent when a shell is un-minimized.
`static ShellListener`
`shellDeiconifiedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellDeiconified(ShellEvent e)`) method, given a lambda expression or a method reference.
`void`
`shellIconified(ShellEvent e)`
Sent when a shell is minimized.
`static ShellListener`
`shellIconifiedAdapter(Consumer<ShellEvent> c)`
Static helper method to create a `ShellListener` for the `shellIconified(ShellEvent e)`) method, given a lambda expression or a method reference.

## Method Details

### shellActivated

void shellActivated(ShellEvent e)
Sent when a shell becomes the active window.

Parameters:
  `e` - an event containing information about the activation

### shellClosed

void shellClosed(ShellEvent e)
Sent when a shell is closed.

Parameters:
  `e` - an event containing information about the close

### shellDeactivated

void shellDeactivated(ShellEvent e)
Sent when a shell stops being the active window.

Parameters:
  `e` - an event containing information about the deactivation

### shellDeiconified

void shellDeiconified(ShellEvent e)
Sent when a shell is un-minimized.

Parameters:
  `e` - an event containing information about the un-minimization

### shellIconified

void shellIconified(ShellEvent e)
Sent when a shell is minimized.

Parameters:
  `e` - an event containing information about the minimization

### shellActivatedAdapter

static ShellListener shellActivatedAdapter(Consumer<ShellEvent> c)
Static helper method to create a `ShellListener` for the `shellActivated(ShellEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ShellListener
Since:
  3.107

### shellClosedAdapter

static ShellListener shellClosedAdapter(Consumer<ShellEvent> c)
Static helper method to create a `ShellListener` for the `shellClosed(ShellEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ShellListener
Since:
  3.107

### shellDeactivatedAdapter

static ShellListener shellDeactivatedAdapter(Consumer<ShellEvent> c)
Static helper method to create a `ShellListener` for the `shellDeactivated(ShellEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ShellListener
Since:
  3.107

### shellDeiconifiedAdapter

static ShellListener shellDeiconifiedAdapter(Consumer<ShellEvent> c)
Static helper method to create a `ShellListener` for the `shellDeiconified(ShellEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ShellListener
Since:
  3.107

### shellIconifiedAdapter

static ShellListener shellIconifiedAdapter(Consumer<ShellEvent> c)
Static helper method to create a `ShellListener` for the `shellIconified(ShellEvent e)`) method, given a lambda expression or a method reference.

Parameters:
  `c` - the consumer of the event
Returns:
  ShellListener
Since:
  3.107